<?
include_once('clss_0.php') ;
class clss_1 extends clss_0
{
    // возвращает текст html кнопки для создания объекта
  // часть классов создают новые объекты через модальное окно - у них метод будет переопределен
  function get_create_button_html($parent_reffer)
    {
      $text='<button mode=ajax cmd=create_obj clss="'.$this->clss.'" parent_reffer="'.$parent_reffer.'">Создать еще '.$this->name($parent_reffer).'</button>'  ;
      return($text) ;
    }

  // возвращает текст html ссылки для создания объекта
  function get_create_a_html($parent_reffer)
    { $text='<a href="#" class=button mode=ajax cmd=create_obj clss="'.$this->clss.'" parent_reffer="'.$parent_reffer.'">'.$this->name($parent_reffer).'</a>'  ;
      return($text) ;
    }


function panel_action_3() // Импорт объектов в класс
{  // системные массивы
  ?><table>
       <tr><td class="left">Импорт из файла XML</td><td class='center'><button class=button cmd=import_from_xml mode=dialog>Далее</button></td></tr>
      </table>
    <input name="get_file_count" type="hidden" value="3">
  <?
}

}

?>